#include "bbs.h"

touchnew()
{
    int fd ;
    if((fd = open(FLUSH,O_WRONLY|O_CREAT,0644)) == -1)
      return ;
    write(fd,"NEW\n",4) ;
    close(fd) ;
}

more(filename, promptend)
char *filename ;
int promptend ;
{
    char buf[512] ;
    extern int t_lines ;

    sprintf(buf,"more %s",filename) ;
    clear() ;
    refresh() ;
    if((do_exec(buf,NULL)==0) && promptend)
      pressreturn() ;
    else
      move(t_lines-1,0) ;
    return 0 ;
}
